UI::Util::Http Namespace Reference

Namespace for all HTTP related code. More...

## Data Structures

class | Connection
class | Cookie
class | Cookies
| Handle "Cookie" request header field values syntactically. More...
class | SetCookie
| Handle "SetCookie" request header field values syntactically. More...
class | SetCookies
| Handle a vector of SetCookie's. More...
class | Exception
| Exception for Http namespace. More...
class | RequestLine
| Parse and represent a request's request line. More...
class | StatusLine
| Parse and represent a response's status line. More...
class | HeaderField
| Header field. More...
class | Header
| Array of header fields. More...
class | URL
| HTTP URL parser. More...
class | URLGet

## Functions

bool | verifyVersion (std::string const &version, bool const &doThrow=true)
| Helper to verify a version string.

## Detailed Description

Namespace for all HTTP related code.